version: "3.1"

services:
  env:
    container_name: guix-system
    image: localhost/guix:latest
    volumes:
      - gnu:/gnu
      - guix:/var/guix
      - etc:/etc
      - home:/home
      - ./:/home/admin/
    ports:
      # - '3333:22'
    environment:
      # - 'DISPLAY=$IPV4:0' # uncomment to forward graphical applications to XQuartz
    privileged: true # currently needed for the Guix package manager to run
volumes:
  gnu:
  guix:
  etc:
  home:
